/* ===============================
   GLOBAL STYLES
================================= */

:root {
  --bg-cream: #f9f6f1;
  --text-dark: #1e1e1e;
  --accent-gradient: linear-gradient(135deg, #1e1e1e, #3a3a3a);
  --soft-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Segoe UI", sans-serif;
}

html {
  scroll-behavior: smooth;
}

body {
  background: var(--bg-cream);
  color: var(--text-dark);
  line-height: 1.6;
}


/* ===============================
   HEADER
================================= */

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 25px 8%;
  background: white;
  box-shadow: var(--soft-shadow);
  position: sticky;
  top: 0;
  z-index: 1000;
}

.logo {
  font-weight: bold;
  font-size: 1.1rem;
}

.nav a {
  margin-left: 25px;
  text-decoration: none;
  color: var(--text-dark);
  font-weight: 500;
  transition: 0.3s ease;
}

.nav a:hover {
  opacity: 0.6;
}


/* ===============================
   HERO SECTION
================================= */

.hero {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 80px 8%;
  min-height: 90vh;
  gap: 40px;
}

.hero-text {
  flex: 1;
}

.hero-text h1 {
  font-size: 3rem;
  margin-bottom: 15px;
}

.hero-text h2 {
  font-weight: 500;
  margin-bottom: 10px;
  opacity: 0.8;
}

.hero-description {
  margin: 20px 0;
  max-width: 500px;
}

.hero-buttons {
  margin: 25px 0;
  display: flex;
  gap: 15px;
  flex-wrap: wrap;
}

.social-links a {
  font-size: 18px;
  margin-right: 15px;
  color: var(--text-dark);
  transition: 0.3s ease;
}

.social-links a:hover {
  transform: translateY(-10px);
  opacity: 0.7;
  font-size: 21px;
}

.btn-primary {
  padding: 12px 25px;
  background: var(--accent-gradient);
  color: white;
  text-decoration: none;
  border-radius: 30px;
  transition: 0.3s ease;
}

.btn-primary:hover {
  transform: translateY(-3px);
  box-shadow: var(--soft-shadow);
}

.btn-secondary {
  padding: 12px 25px;
  border: 1px solid var(--text-dark);
  text-decoration: none;
  border-radius: 30px;
  color: var(--text-dark);
  transition: 0.3s ease;
}

.btn-secondary:hover {
  background: var(--text-dark);
  color: white;
}

.social-links {
  margin-top: 20px;
}

.social-links a {
  margin-right: 15px;
  text-decoration: none;
  font-size: 0.9rem;
  opacity: 0.7;
  transition: 0.3s;
}

.social-links a:hover {
  opacity: 1;
}

.hero-image img {
  width: 350px;
  border-radius: 20px;;
  box-shadow: var(--soft-shadow);
}


/* ===============================
   SECTIONS
================================= */

.section {
  padding: 80px 8%;
}

.section h2 {
  font-size: 2rem;
  margin-bottom: 30px;
}


/* ===============================
   SERVICES
================================= */

.services-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 30px;
}

.service-card {
  background: white;
  padding: 30px;
  border-radius: 15px;
  box-shadow: var(--soft-shadow);
  transition: 0.3s ease;
}

.service-card:hover {
  transform: translateY(-5px);
}


/* ===============================
   PROJECTS
================================= */

.projects-grid {
  display: block;
  gap: 30px;
}

.project-card {
  background: white;
  border-radius: 15px;
  margin: 30px;
  overflow: hidden;
  box-shadow: var(--soft-shadow);
  transition: 0.3s ease;
}

.project-card:hover {
  transform: translateY(-5px);
}

.project-card img {
  width: 100%;
  height: 600px;
  object-fit: cover;
  box-shadow: var(--soft-shadow);
}

.project-card h3 {
  padding: 20px 20px 5px 20px;
}

.project-card p {
  padding: 0 20px 15px 20px;
}

.project-card a {
  display: inline-block;
  margin: 0 20px 20px 20px;
  text-decoration: none;
  font-weight: bold;
}


/* ===============================
   WHY LIST
================================= */

.why-list li {
  margin-bottom: 15px;
}

button {
  background: black;
  color: white;
  font-size: 15px;
  border-radius: 10px;
  padding: 10px 8px;
  margin: 8ox;
  text-align: center;
  border: 1px solid blueviolet;
  height: 30px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 1.2);
}

button:hover {
  opacity: 0.8;
  transform: translateY(5px);
}

.submit-btn {
  width: 90%;
  box-shadow: 0 5px 8px rgba(0, 0, 0, 0.9);
  transition: all 0.3s ease;
}

.submit-btn:hover {
  opacity: 1;
  transform: scale(1.07);
}

.open-modal {
  background: black;
  border-radius: 20px;
  color: white;
  font-size: 20px;
  transition: 0.3s ease;
}

.open-modal:hover {
  opacity: 0.8;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.7);
  transform: translateY(5px);
}


.modal-overlay {
  display: flex;
  position: fixed;

  opacity: 0;
  inset: 0;

  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 1000;

  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
  background-color: rgba(255, 255, 255, 0.6); /* Light white tint */

  align-items: center;
  justify-content: center;
  pointer-events: none;

  transform: scale(0.2);
  transition: all 0.4s ease;
}

.modal-overlay.active {
  opacity: 1;
  transform: scale(1.0);
  pointer-events: auto;
}

.modal {
  background: white;
  display: block;
  border-radius: 20px;
  max-width: 800px;
  max-height: 700px;
  color: black;
  padding: 20px;
  transform: scale(0.3);
  text-align: center;
  transition: all 0.4s ease;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 1.6);
}

.modal-overlay.active .modal {
  transform: scale(1);
}

.close-modal {
  display: flex;
  margin: 10px;
  top: 100%;
  color: black;
  font-size: 30px;
  background: none;
  border: none;
  box-shadow: none;
}

/* ===============================
   CONTACT
================================= */

.contact-section {
  text-align: center;

}

.contact-form {
    padding: 20px 15px;
    margin: 10px;
    display: block;
    text-align: center;
    border-radius: 20px;
    transition: all 0.4s ease;
  }

  .contact-form h3 {
    font-size: 25px;
  }

  input {
    width: 400px;
    border-radius: 10px;
    border: 1px solid #ddd;
    margin: 10px;
    padding: 10px;
  }

  .error {
    color: red;
    font-size: 12px;
  }

  input.error {
    border: 1px solid red;
    border-radius: 10px;
  }

  input.success {
    border: 1px solid green;
    border-radius: 10px;
  }

  .msg {
    height: 100px;
    width: 400px;
    border-radius: 10px;
    border: 1px solid #ddd;
    overflow-y: auto;
  }

  .message {
    margin: 10px;
    font-size: 14px;
    color: green;
  }

.contact-section p {
  margin-bottom: 25px;
}


/* ===============================
   FOOTER
================================= */

.footer {
  text-align: center;
  padding: 30px;
  background: white;
  margin-top: 60px;
  font-size: 0.9rem;
}


/* ===============================
   RESPONSIVE
================================= */

@media (max-width: 900px) {

  .logo {
    width: 300px;
  }

  .nav {
    text-align: right;
  }

  .hero {
    flex-direction: column;
    text-align: center;
  }

  .hero-image img {
    width: 250px;
    margin-top: 30px;
  }
}

/* ======= mobile view ======== */

@media (max-width: 900px) {

  .project-card img {
    width: 100%;
    height: auto;
    margin-top: 20px;
  }

  .hero-buttons {
    justify-content: center;
    width: 100%;
  }

  .btn-primary,
  .btn-secondary {
    width: 100%;
    text-align: center;
  }

  .close-modal {
    margin: 0;
    top: 100%;
  }

  .modal {
    max-width: 300px;
    max-height: 400px;
  }

  .contact-form {
    padding: 20px 15px;
    margin: 5px;
    top: 90%;
    display: block;
    text-align: center;
    border-radius: 20px;
    transition: all 0.4s ease;
  }

  .contact-form h3 {
    font-size: 20px;
  }

  input {
    width: 200px;
    border-radius: 10px;
    border: 1px solid #ddd;
    margin: 10px;
    padding: 10px;
  }

  .error {
    color: red;
    font-size: 7px;
  }

  input.error {
    border: 1px solid red;
    border-radius: 10px;
  }

  input.success {
    border: 1px solid green;
    border-radius: 10px;
  }

  .msg {
    height: 100px;
    width: 200px;
    border-radius: 10px;
    border: 1px solid #ddd;
    overflow-y: auto;
  }

.contact-section p {
  margin-bottom: 15px;
}

}

/* ===============================
   SCROLL ANIMATIONS
================================= */

.reveal {
  opacity: 0;
  transform: translateY(40px);
  transition: all 0.8s ease;
}

.reveal.active {
  opacity: 1;
  transform: translateY(0);
}

/* Hero animation */
.hero-text {
  animation: fadeInUp 1s ease forwards;
}

.hero-image {
  animation: fadeIn 1.5s ease forwards;
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(40px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
